# cc_credentials_iterator_f Struct Reference

## Detailed Description

Function pointer table for cc_credentials_iterator_t. For more information see cc_credentials_iterator_t.

## Data Fields

- cc_int32(* release )(cc_credentials_iterator_t io_credentials_iterator)
    cc_credentials_iterator_release(): Release memory associated with a cc_credentials_iterator_t object.
- cc_int32(* next )(cc_credentials_iterator_t in_credentials_iterator, cc_credentials_t *out_credentials)
    cc_credentials_iterator_next(): Get the next credentials in the ccache.
- cc_int32(* clone )(cc_credentials_iterator_t in_credentials_iterator, cc_credentials_iterator_t *out_credentials_iterator)
    cc_credentials_iterator_clone(): Make a copy of a credentials iterator.

## Field Documentation

cc_int32(* release)(cc_credentials_iterator_t io_credentials_iterator)

cc_credentials_iterator_release(): Release memory associated with a cc_credentials_iterator_t object.

Parameters:

  | io_credentials_iterator | the credentials iterator object to release.

Returns:
  On success, ccNoError. On failure, an error code representing the failure.

cc_int32(* next)(cc_credentials_iterator_t in_credentials_iterator, cc_credentials_t *out_credentials)

cc_credentials_iterator_next(): Get the next credentials in the ccache.

Parameters:

  | in_credentials_iterator | a credentials iterator object.
  | out_credentials | on exit, the next credentials in the ccache.

Returns:
  On success, ccNoError if the next credential in the ccache was obtained or ccIteratorEnd if there are no more credentials. On failure, an error code representing the failure.